Bug 734127 - fullscreen switch fail with 4 displays while 2 of them are disabled
Summary: fullscreen switch fail with 4 displays while 2 of them are disabled
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-client
Version: 6.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Uri Lublin
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 734132
TreeView+ depends on / blocked
 
Reported: 2011-08-29 14:08 UTC by Lubos Kocman
Modified: 2012-08-01 12:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 734132 (view as bug list)
Environment:
Last Closed: 2012-08-01 12:43:33 UTC


Attachments (Terms of Use)
monitor layout + device list (62.21 KB, image/png)
2011-08-29 14:08 UTC, Lubos Kocman
no flags Details

Description Lubos Kocman 2011-08-29 14:08:57 UTC
Created attachment 520407 [details]
monitor layout + device list

Description of problem:

Spice client fails to populate 2 screens (primary display contains primary display from guest, but second qxl display is not on the second screen) during switching to fullscreen only in following scenario:

spice client with enabled 4 displays while 1st and 2nd is enabled, 3rd is manually disabled, and 4th is inactive due Bug 694117 in qxl driver.

Version-Release number of selected component (if applicable):

spice-client-0.8.2-3.el6.x86_64
rhev-guest-tools-iso-3.0-14


How reproducible:


Steps to Reproduce:
1. set number of displays to 4 (trough rhevmanager->edit_vm_settings)
2. connect to a guest 
3. ensure that only first and second displays are enabled
4. shift+f11 (to enter fullscreen mode)
  
Actual results:

only first/primary display of guest is visible. Second display on client is not populated by spice-client (see screenshots)

Expected results:

both client displays should be populated after switching to fullscreen  by active displays on the guest

Additional info:

I've tried to set manually optimal resolution but nothing changed.

Comment 3 Uri Lublin 2012-03-04 16:55:18 UTC
At first, I could not reproduce.
But when I looked at the attached image ("monitor layout + device list") again I noticed that the second qxl device is disabled (thanks Lubos for attaching that image).
That means that out of 4 qxl devices (numbered 0-3), available qxl devices are 0, 2, 3 and, in that configuration active qxl devices are 0 and 2.

Before step 4 in #c0, when still in windowed-mode, one can see that the 2 windows of spicec are titled "SPICEc0" and "SPICEc2"

But there are only 2 monitors 0 and 1.
Spicec matches qxl-device-i to monitor-i which is why qxl device 2 has no matching monitor and when entering full-screen it "disappears".

Lubos, can you please
1. Check that on windowed-mode titles are as I mentioned above.
2. Try to disable the 4'th qxl device and enable the 2'nd qxl 
   device ( + reboot ).
   Also please make sure on the guest that displays 1+2 are active.
   Does full-screen mode works as expected now ?

Thanks,
    Uri.

Comment 4 David Blechter 2012-03-23 17:15:35 UTC
too late for 6.3 -> 6.4

Comment 6 RHEL Product and Program Management 2012-07-10 05:47:37 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 7 RHEL Product and Program Management 2012-07-11 01:59:19 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 8 Marian Krcmarik 2012-08-01 12:43:33 UTC
Closing as WONTFIX, spice-client was replaced by virt-viewer which is now supported client. This bug was not reproducible with virt-viewer, If you can reproduce with remote-viewer, please file a bug for virt-viewer. Thanks.


Note You need to log in before you can comment on or make changes to this bug.